## Validate SQL `client.pipelines.validateSql(PipelineValidateSqlParamsparams, RequestOptionsoptions?): PipelineValidateSqlResponse` **post** `/accounts/{account_id}/pipelines/v1/validate_sql` Validate Arroyo SQL. ### Parameters - `params: PipelineValidateSqlParams` - `account_id: string` Path param: Specifies the public ID of the account. - `sql: string` Body param: Specifies SQL to validate. ### Returns - `PipelineValidateSqlResponse` - `tables: Record` Indicates tables involved in the processing. - `id: string` - `name: string` - `type: string` - `version: number` - `graph?: Graph` - `edges: Array` - `dest_id: number` - `edge_type: string` - `key_type: string` - `src_id: number` - `value_type: string` - `nodes: Array` - `description: string` - `node_id: number` - `operator: string` - `parallelism: number` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.pipelines.validateSql({ account_id: '0123105f4ecef8ad9ca31a8372d0c353', sql: 'insert into sink select * from source;', }); console.log(response.tables); ``` #### Response ```json { "result": { "tables": { "foo": { "id": "id", "name": "name", "type": "type", "version": 0 } }, "graph": { "edges": [ { "dest_id": 0, "edge_type": "edge_type", "key_type": "key_type", "src_id": 0, "value_type": "value_type" } ], "nodes": [ { "description": "description", "node_id": 0, "operator": "operator", "parallelism": 0 } ] } }, "success": true } ```